Subject: Re: jc/fix-pull-ff-only-when-already-up-to-date, was Re: What's cooking in git.git (Nov 2021, #03; Tue, 9)

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Nov 2021 11:17:15 -0800

Johannes Schindelin <[email-masked]> writes:

>> I didn't recall I did it as a regression fix, but as a fix for
>> relatively old change that is already in released version(s) in the
>> field.  If the breakage is new between 2.33.0 and 'master', I think
>> it is a good idea to merge it down.
>
> I can say with conviction that this is a very recent change of behavior,
> as I needed this quick-fix on Oct 30:
> https://github.com/git-for-windows/build-extra/commit/fb311a97cf82243ea1fe4036f1b180f5a3e6bc7f
>
> I don't recall the particular details how this fix came about, as it was
> the day of -rc0 (and I don't remember whether I needed this _before_ or
> _after_ Git for Windows -rc0 was released). All I remember is that an
> automated build broke because it created a local commit and then expected
> `git pull --ff-only` to succeed (because the remote was not ahead, but it
> necessarily was behind the local HEAD).
>
> The change of behavior might have been introduced by v2.33.1, or by
> v2.34.0-rc0.
>
> So yeah, I would argue that it is a regression introduced in this cycle.

Yeah, I was agreeing with you.  Together with the simple-ipc thing,
we will have two fixes in the final one on top of -rc2; hopefully
these would be the last ones ;-)

Thanks.